# Maintainer: Antoni Aloy <aaloytorrens@gmail.com>
pkgname=py3-gdown
pkgver=4.7.1_git20230422
pkgrel=0
_commit="5c7507f02718048899b85d4010a6ed93316cbf27"
pkgdesc="Download large files from Google Drive"
url="https://github.com/wkentaro/gdown"
arch="noarch"
license="MIT"
makedepends="
	py3-gpep517
	py3-wheel
	"
depends="
	python3
	py3-beautifulsoup4
	py3-filelock
	py3-tqdm
	py3-soupsieve
	"
makedepends="py3-setuptools"
#checkdepends="py3-pytest"
source="
	$pkgname-$pkgver.tar.gz::https://github.com/wkentaro/gdown/archive/$_commit.tar.gz
	0001-use-license_files.patch
	"
subpackages="$pkgname-pyc"
builddir="$srcdir/gdown-$_commit"
options="!check"

build() {
	#Deprecated
	#python3 setup.py build

	gpep517 build-wheel \
		--wheel-dir dist \
		--output-fd 3 3>&1 >&2
}

# gdown needs to be installed when running tests
#check() {
#	pytest
#}

package() {
	#Deprecated
	#python3 setup.py install --prefix=/usr --root="$pkgdir"

	python3 -m installer -d "$pkgdir" \
		dist/*.whl
}

sha512sums="
e5d4fe2a7abbac95f33dbbf0ae98e1e07692489a486dae8fed0bc09e429a23c320ebc8f9521de5c65ceffbaa4e51b4e1db2ddb1f67c67eea1d3972a932348f0b  py3-gdown-4.7.1_git20230422.tar.gz
3a492add96ec4516eb2afcf0ccd43105ebb5b2878aa140027ebac202f1791a1ea22621c85b7d23ae922b881e7973652b481d23cdc4e7ae6aa3577e7cba977e00  0001-use-license_files.patch
"
